Package com.xebialabs.xlrelease.events

## Interface XLReleaseOperation

- All Known Subinterfaces:
    `ReleaseOperation`, `TaskStartOrRetryOperation`, `VariableCreateOperation`, `VariableDeleteOperation`, `VariableUpdateOperation`
  All Known Implementing Classes:
    `CompleteTaskJobExecutionOperation`, `FolderVariableCreateOperation`, `FolderVariableDeleteOperation`, `FolderVariableUpdateOperation`, `GlobalVariableCreateOperation`, `GlobalVariableDeleteOperation`, `GlobalVariableUpdateOperation`, `PhaseCloseOperation`, `PhaseCompleteOperation`, `PhaseFailOperation`, `PhaseRetryOperation`, `PhaseStartFailingOperation`, `PhaseStartOperation`, `ReleaseAbortOperation`, `ReleaseAbortScriptsExecution`, `ReleaseCompleteOperation`, `ReleaseFailOperation`, `ReleasePauseOperation`, `ReleaseResumeOperation`, `ReleaseRetryOperation`, `ReleaseStartFailingOperation`, `ReleaseStartOperation`, `ReleaseVariableCreateOperation`, `ReleaseVariableDeleteOperation`, `ReleaseVariablesUpdateOperation`, `ReleaseVariableUpdateOperation`, `TaskAbortOperation`, `TaskCompleteAbortScriptOperation`, `TaskCompleteOperation`, `TaskDelayOperation`, `TaskEndRecoveryOperation`, `TaskFailOperation`, `TaskGroupFailingOperation`, `TaskReopenOperation`, `TaskRetryOperation`, `TaskSkipOperation`, `TaskStartAbortScriptOperation`, `TaskStartOperation`, `TaskStartRecoveryOperation`, `TaskStatusLineOperation`, `TaskWaitingForInputOperation`

      public interface XLReleaseOperation

  A bundle of an "interceptable action" and an "event" that need to be posted when corresponding operation is performed. The "action" should be posted before any changes are persisted, and the "event" - after changes were successfully saved.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InterceptableAction` | `action()` |
    `XLReleaseEvent` | `event()` |

- - ### Method Detail

    - #### action

          InterceptableAction action()

    - #### event

          XLReleaseEvent event()